<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblRespuestaRepository;

final class TblRespuestaService
{
    private TblRespuestaRepository $TblRespuestaRepository;

    public function __construct(TblRespuestaRepository $TblRespuestaRepository)
    {
        $this->TblRespuestaRepository = $TblRespuestaRepository;
    }

    public function checkAndGet(int $TblRespuestaId): object
    {
        return $this->TblRespuestaRepository->checkAndGet($TblRespuestaId);
    }

    public function getAll(): array
    {
        return $this->TblRespuestaRepository->getAll();
    }

    public function getOne(int $TblRespuestaId): object
    {
        return $this->checkAndGet($TblRespuestaId);
    }

    public function create(array $input): object
    {
        $TblRespuesta = json_decode((string) json_encode($input), false);

        return $this->TblRespuestaRepository->create($TblRespuesta);
    }

    public function update(array $input, int $TblRespuestaId): object
    {
        $TblRespuesta = $this->checkAndGet($TblRespuestaId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblRespuestaRepository->update($TblRespuesta, $data);
    }

    public function delete(int $TblRespuestaId): void
    {
        $this->checkAndGet($TblRespuestaId);
        $this->TblRespuestaRepository->delete($TblRespuestaId);
    }
}
